
Figure - Bug #118532
【IOVDEV-23607】【IOV测试】【VC1】【SORP】【声音竞合】【实车306】副屏播放QQ音乐再切到视频播
放，点击主屏媒体播放按键，QQ音乐和视频同时出声
2023-06-05 16:47 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 将118522的方案投入后，这样在中控播放时就腾讯视频不会释放焦点，就不会发生该问题

Description

【前提条件】：

车机上电、网络状态良好、时间显示正确、 账号登录正确

【操作步骤】：

1、播放副屏音乐

2、播放副屏视频

3、主屏点击媒体播放键

【实际结果】：

1、副屏视频和音乐混音

【期望结果】：

1、播放主屏媒体

【研发解决问题依赖】：

1、问题发生环境：EE

2、车机VIN号:LJD8BC3F1P0000306

3、bug时间：2023/4/20  1418

【备注】：

【软件版本号】：

IDCM版本号:     03.02.0070.C101

History

#1 - 2023-06-05 17:14 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL

根据复现情况分析：

该问题因为中控播放时，副屏视频焦点失去，释放了自己的焦点，

而后QQ音乐立即获取焦点，导致中控没有继续播放，然后音乐播放，unmute了视频，导致了混音。

06-05 16:57:56.543  1018 20595 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = onAudioFocusChange parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_LOSS"}} ★★★ 中控发出焦点loss

06-05 16:57:56.544  1018 20595 D AudioIDCMicroNegotiator: idcm_af:onAudioFocusStateChanged type=AudioFocus_Media, result = AUDIOFOCUS_LOSS
timeout= false

06-05 16:57:56.544  1018 20595 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

06-05 16:57:56.544  1018  1935 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged

06-05 16:57:56.545  1018  1935 D AudioService.PlaybackActivityMonitor: idcm_af:onAudioFocusRemoteChanged: -1 info= RequestInfosToIDCM{mPid=23711,

mUid=10103} ★★★ 副屏视频失去焦点

06-05 16:57:56.545  1018  1935 D AS.AudioService: idcm_af:onAudioFocusIDCMicroChanged: -1 info: RequestInfosToIDCM{mPid=23711, mUid=10103}

06-05 16:57:56.549  1018  1935 D AS.AudioService: idcm_af:onAudioFocusRemoteChanged: -1 mute music ★★★ mute music

06-05 16:57:56.549  1018  1935 I AudioService.PlaybackActivityMonitor: call: muting piid:535 uid:10103

06-05 16:57:56.549  1018  1935 I AudioService.PlaybackActivityMonitor: call: muting piid:551 uid:10103

06-05 16:57:56.550  1018  1935 I AudioService.PlaybackActivityMonitor: call: muting piid:567 uid:10103

06-05 16:57:56.550  1018  1935 I AudioService.PlaybackActivityMonitor: call: muting piid:583 uid:10103

06-05 16:57:56.550  1018  1935 I AudioService.PlaybackActivityMonitor: call: muting piid:527 uid:10103

06-05 16:57:56.551  1018  1935 I AudioService.PlaybackActivityMonitor: call: muting piid:559 uid:10103

06-05 16:57:56.551  1018  1935 I AudioService.PlaybackActivityMonitor: call: muting piid:591 uid:10108

06-05 16:57:56.552  1018  1935 D MediaFocusControl: audio_idcm: updateCurrentAudioFocus: uid= 10103 fr = 10103 focusChange= -1

06-05 16:57:56.552  1018  1935 D AudioIDCMicroNegotiator: idcm_af:wait messsage

06-05 16:57:56.556  1018 20595 I MediaFocusControl: abandonAudioFocus() from uid/pid 10103/23711

clientId=android.media.AudioManager@16a4285com.tencent.qqlive.modules.vb.qmtpluginkit.impl.plugin.audiofocus.d@52ce394 ★★★ 腾讯视频主动释放

焦点

06-05 16:57:56.573 27079 27079 W AudioManager: See the documentation of requestAudioFocus() for what to use instead with android.media.AudioAttributes to

qualify your playback use case

06-05 16:57:56.574  1018 20595 I MediaFocusControl: requestAudioFocus() from uid/pid 10108/27079 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC

clientId=android.media.AudioManager@50689dacom.tencent.qqmusicplayerprocess.servicenew.listener.AudioFocusListener$a@a654e0b

callingPack=com.tencent.qqmusic req=1 flags=0x0 sdk=29 ★★★ QQ音乐申请焦点

06-05 16:57:56.596  1018 20595 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM: event=2(PLAYER_STATE_STARTED)apc

=AudioPlaybackConfiguration piid:591 deviceId:3 type:android.media.AudioTrack u/pid:10108/27079 state:paused attr:AudioAttributes:

usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0xA00 tags= bundle=null sessionId:537

06-05 16:57:56.596  1018 20595 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 3

06-05 16:57:56.597  1018 20595 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus: AudioFocus_Media

06-05 16:57:56.597  1018 20595 D AudioIDCMicroNegotiator: idcm_common:requestResult method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}

06-05 16:57:56.597  1018 20595 I MicroServiceManager: requestResult(requestAudioFocus) parameters

is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}.

06-05 16:57:56.597  1018 20595 D AudioIDCMicroNegotiator: idcm_af:updateAudioInfo

06-05 16:57:56.597  1018 20595 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState

06-05 16:57:56.616  2097 30778 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1685955476598847857',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1685955476598847857,"methodName":"reque

stAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}}}

06-05 16:57:56.704  2097 30781 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1685955476598847857',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"requestAudioFocus","messageType":1,"uuid":1685955

476598847857,"parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANT

ED"}}}}

06-05 16:57:56.705  2097 30781 I MicroService: onResponse(requestAudioFocus):

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

06-05 16:57:56.706  1018 20608 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

06-05 16:57:56.706  1018 20608 D AudioIDCMicroNegotiator: idcm_af:onAudioFocusStateChanged type=AudioFocus_Media, result =

AUDIOFOCUS_REQUEST_GRANTED timeout= false

06-05 16:57:56.707  1018 20608 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

06-05 16:57:56.707  1018 20595 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 1 mIsTimeout= false time= 110

06-05 16:57:56.712  1018  1935 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged
06-05 16:57:56.712  1018  1935 D AudioService.PlaybackActivityMonitor: idcm_af:onAudioFocusRemoteChanged: 1 info= RequestInfosToIDCM{mPid=27079,

mUid=10108}

06-05 16:57:56.712  1018  1935 D AS.AudioService: idcm_af:onAudioFocusIDCMicroChanged: 1 info: RequestInfosToIDCM{mPid=27079, mUid=10108}

06-05 16:57:56.712  1018  1935 D AS.AudioService: idcm_af:onAudioFocusRemoteChanged: 1 unmute music ★★★ 焦点成功后，unmute音乐和视频

06-05 16:57:56.713  1018  1935 I AudioService.PlaybackActivityMonitor: call: unmuting piid:535

06-05 16:57:56.713  1018  1935 I AudioService.PlaybackActivityMonitor: call: unmuting piid:551

06-05 16:57:56.713  1018  1935 I AudioService.PlaybackActivityMonitor: call: unmuting piid:567

06-05 16:57:56.713  1018  1935 I AudioService.PlaybackActivityMonitor: call: unmuting piid:583

06-05 16:57:56.713  1018  1935 I AudioService.PlaybackActivityMonitor: call: unmuting piid:527

06-05 16:57:56.714  1018  1935 I AudioService.PlaybackActivityMonitor: call: unmuting piid:559

06-05 16:57:56.714  1018  1935 I AudioService.PlaybackActivityMonitor: call: unmuting piid:591

06-05 16:57:56.718  1018  1935 D MediaFocusControl: audio_idcm: updateCurrentAudioFocus: uid= 10108 fr = 10108 focusChange= 1

06-05 16:57:56.718  1018  1935 W MediaFocusControl: Request AudioFocus again: update mFocusLossReceived -> AUDIOFOCUS_NONE

#2 - 2023-06-06 20:08 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 将118522的方案投入后，这样在中控播放时就腾讯视频不会释放焦点，就不会发生该问题

HI ALL

将118522的方案投入后，这样在中控播放时就腾讯视频不会释放焦点，

就不会发生该问题了，请使用6月7日后的版本验证，谢谢！

#3 - 2023-06-08 15:18 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306080125验证通过

#4 - 2023-06-25 15:27 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1645.txt 7.91 MB 2023-06-05 CD TEST-方永红
